.map {
    background: url('../assets/images/trassa.webp') center center/cover no-repeat;
    box-shadow: 0 4px 15px rgba(0,0,0,0.3);
    margin-bottom: 28px;
    border-radius: 20px;
    overflow: hidden;
    padding: 20px;
    text-align: center;
}

.map h2 {
    margin-bottom: 20px;
    font-size: 2rem;
    text-shadow: 2px 2px 4px #000;
    text-align: center;
}

.map-iframe-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.map iframe {
    width: 100%;
    max-width: 800px;
    height: 400px;
    border: none;
    border-radius: 15px;
    background: #fff;
}

@media (min-width: 1024px) {
    .content-inner {
        margin: 0;
        margin-left: 0;
        max-width: 600px;
    }
}